package com.yworks.eclipse.sample;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

/**
 *
 *
 **/
public class GraphPerspective implements IPerspectiveFactory {
  public void createInitialLayout( IPageLayout layout ) {
// Get the editor area.
    String editorArea = layout.getEditorArea();

    // Top left: Resource Navigator view and Bookmarks view placeholder
    IFolderLayout topLeft = layout.createFolder( "topLeft", IPageLayout.LEFT, 0.25f, editorArea );
    topLeft.addView( IPageLayout.ID_RES_NAV );

    // Bottom left: Outline view and Property Sheet view
    IFolderLayout right = layout.createFolder( "right", IPageLayout.RIGHT, 0.70f, editorArea );
    right.addView( IPageLayout.ID_OUTLINE );

    IFolderLayout rightBottom = layout.createFolder( "rightBottom", IPageLayout.BOTTOM, 0.50f, "right" );
    rightBottom.addView( IPageLayout.ID_PROP_SHEET );
  }
}
