package com.yworks.eclipse.sample.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

import com.yworks.eclipse.sample.GraphEditorPart;
import com.yworks.eclipse.sample.GraphEditorPlugin;

public class SaveAction implements IWorkbenchWindowActionDelegate {
	
	public void dispose() {}
	
	public void init(IWorkbenchWindow window) {}

	public void run(IAction action) {
		IWorkbench workbench = GraphEditorPlugin.getDefault().getWorkbench();
		IEditorPart activeEditor = workbench.getActiveWorkbenchWindow().getActivePage()
				.getActiveEditor();
		if (activeEditor instanceof GraphEditorPart) {
			GraphEditorPart editor = (GraphEditorPart) activeEditor;
			editor.doSave(null);
		}
	}
	
	public void selectionChanged(IAction action, ISelection selection) {}
}
